Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy
Class AppLifeCycle

    java.lang.Object
      org.eclipse.jetty.deploy.graph.Graph
          org.eclipse.jetty.deploy.AppLifeCycle

    public class AppLifeCycle

extends Graph

The lifecycle of an App in the `DeploymentManager`. Setups a the default `Graph`, and manages the bindings to the life cycle via the `AppLifeCycle.Binding` annotation.

Nested Class Summary
`static interface` | `AppLifeCycle.Binding`

Field Summary
`static java.lang.String` | `DEPLOYED`
`static java.lang.String` | `DEPLOYING`
`static java.lang.String` | `STARTED`
`static java.lang.String` | `STARTING`
`static java.lang.String` | `STOPPING`
`static java.lang.String` | `UNDEPLOYED`
`static java.lang.String` | `UNDEPLOYING`

Constructor Summary
`AppLifeCycle()`

Method Summary
`void` | `addBinding(AppLifeCycle.Binding binding)`
`java.util.Set<AppLifeCycle.Binding>` | `getBindings()` Get all `Node` bound objects.
`java.util.Set<AppLifeCycle.Binding>` | `getBindings(Node node)` Get all objects bound to a specific `Node`
`java.util.Set<AppLifeCycle.Binding>` | `getBindings(java.lang.String nodeName)` Get all objects bound to a specific `Node`
`void` | `removeBinding(AppLifeCycle.Binding binding)`
`void` | `runBindings(Node node, App app, DeploymentManager deploymentManager)`

Methods inherited from class org.eclipse.jetty.deploy.graph.Graph
`addEdge, addEdge, addNode, findEdges, findEdgesFrom, getEdges, getNodeByName, getNodes, getPath, getPath, insertNode, insertNode, removeEdge, removeEdge, removeNode, setEdges, setNodes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNDEPLOYED

    public static final java.lang.String UNDEPLOYED

See Also:
  Constant Field Values

### DEPLOYING

    public static final java.lang.String DEPLOYING

See Also:
  Constant Field Values

### DEPLOYED

    public static final java.lang.String DEPLOYED

See Also:
  Constant Field Values

### STARTING

    public static final java.lang.String STARTING

See Also:
  Constant Field Values

### STARTED

    public static final java.lang.String STARTED

See Also:
  Constant Field Values

### STOPPING

    public static final java.lang.String STOPPING

See Also:
  Constant Field Values

### UNDEPLOYING

    public static final java.lang.String UNDEPLOYING

See Also:
  Constant Field Values

Constructor Detail

### AppLifeCycle

    public AppLifeCycle()

Method Detail

### addBinding

    public void addBinding(AppLifeCycle.Binding binding)

### removeBinding

    public void removeBinding(AppLifeCycle.Binding binding)

### getBindings

    public java.util.Set<AppLifeCycle.Binding> getBindings()

  Get all `Node` bound objects.

  Returns:
    Set of Object(s) for all lifecycle bindings. never null.

### getBindings

    public java.util.Set<AppLifeCycle.Binding> getBindings(Node node)

  Get all objects bound to a specific `Node`

  Returns:
    Set of Object(s) for specific lifecycle bindings. never null.

### getBindings

    public java.util.Set<AppLifeCycle.Binding> getBindings(java.lang.String nodeName)

  Get all objects bound to a specific `Node`

  Returns:
    Set of Object(s) for specific lifecycle bindings. never null.

### runBindings

    public void runBindings(Node node,
                            App app,
                            DeploymentManager deploymentManager)
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.